<?php
/**
# 트위터에 글쓰기 0.91.1
# 만든이 : 팥알 ( http:/pat.im )
# 마지막으로 고친 날 : 2011. 12. 27

# Abraham TwitterOAuth를 써서 만든 트위터 쪽글 입력기입니다.
**/

session_start();
require_once('twitteroauth/twitteroauth.php');
require_once('config.php');

if(isset($_GET['text'])) $tweetText = $_SESSION['text'] = $_GET['text'];
else if(isset($_SESSION['text'])) $tweetText = $_SESSION['text'];

if(empty($_SESSION['access_token']) || empty($_SESSION['access_token']['oauth_token']) || empty($_SESSION['access_token']['oauth_token_secret'])) {
	$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET);
	$request_token = $connection->getRequestToken(OAUTH_CALLBACK);

	$_SESSION['oauth_token'] = $token = $request_token['oauth_token'];
	$_SESSION['oauth_token_secret'] = $request_token['oauth_token_secret'];
 
	switch ($connection->http_code) {
		case 200:
			$url = $connection->getAuthorizeURL($token);
  		header('Location: ' . $url);
			break;
  	default:
			echo 'Could not connect to Twitter. Refresh the page or try again later.';
			exit();
	}
}
?>

<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>트위터에 글쓰기</title>
		<style type="text/css">
<!--
html {background:#e6e6e6;}
body {background:#f6f6f6;margin:0;padding:0;}
#header {position:static\9;top:0;left:0;min-height:40px;width:100%;-webkit-box-shadow:0 1px 3px rgba(0,0,0,0.7);-moz-box-shadow:0 1px 3px rgba(0,0,0,0.7);
box-shadow:0 1px 3px rgba(0,0,0,0.7);z-index:1500;color:#fff;background:#262626;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#333333',endColorstr='#111111');
-ms-filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#333333',endColorstr='#111111');
-webkit-user-select:none;-ms-user-select:none;-moz-user-select:none;-o-user-select:none;user-select:none;cursor:default;}
#header .bar {position:relative;text-align:left;margin:0 auto;padding:0 10px;}
#header .logo {height:40px;position:absolute;top:0;left:0;margin:0;padding:0;}
#header .logo a {display:block;height:40px;width:108px;color:transparent;text-indent:-999em;background:transparent url(images/twitter_logo_right.png) no-repeat 10px 9px;padding:0 10px;}
.bar, #body, #foot {min-width:240px;max-width:640px;width:auto;_width:520px;margin:0 auto;}
#body {padding:30px;}
#body h2 {font-weight:700;font-size:120%;line-height:140%;color:#666;margin:0 0 15px;}
textarea {width:100%;height:75px;display:block;padding:3px;margin-bottom:5px;background:#eee;font:14px/18px "Helvetica Neue",Arial,sans-serif;}
input[type=text],input[type=password],textarea {
-moz-transition:border linear .2s,-moz-box-shadow linear .2s;-webkit-transition:border linear .2s,-webkit-box-shadow linear .2s;-o-transition:border linear .2s,box-shadow linear .2s;
transition:border linear .2s,box-shadow linear .2s;border:1px solid #ccc;-moz-border-radius:4px;-webkit-border-radius:4px;border-radius:4px;}
#submit_button_wrap {display:inline;width:70px;}
#submit_button {-moz-border-radius:4px;-khtml-border-radius:4px;-webkit-border-radius:4px;background:#ddd url(images/bg-btn.png) repeat-x 0 0;
border-radius:4px;cursor:pointer;vertical-align:top;font-size:12px;overflow:visible;text-shadow:0 1px #F0F0F0;color:#333;
-moz-box-shadow:0 1px 0 #f8f8f8;-wekbit-box-shadow:0 1px 0 #f8f8f8;box-shadow:0 1px 0 #f8f8f8;
display:inline;zoom:1;border-color:#bbb #bbb #999;border-style:solid;border-width:1px;margin:0px;padding:5px 9px;}
#submit_button:hover,.button:focus {background-position:0 -6px;color:#000;text-decoration:none;border-color:#999 #999 #666;}
#submit_button:active {background-image:none;text-shadow:none;outline:none;}
#count {float:right;}
#char-count {color:#999;margin-right:3px;display:inline-block;}
#char-count .warn {color:red;font-weight:700;}
#notice {font-size:14px;}
#foot {background:#e6e6e6;font:13px dotum arial;padding:0 30px;}
#foot a {text-decoration:none; color:#33C;}
#foot div.info {margin: 5px 0;}
#foot span.about {float:right;}
//-->	
		</style>
	</head>
	<body onload="check_msg_length();">
		<div id="header">
			<div class="bar">
				<h1 class="logo"><a href="http://twitter.com" target="_blank" class="alternate-context">트위터</a></h1>
			</div>
			</div>

		<div id="body">
			<h2>트위터에 보내기</h2>

			<form name="tweet" action="send.php" method="post">
				<input name="text" type="hidden" value="[텍스트큐브] SNS에 글 보내는 단추 달기 1.2 http://pat.im/816 via @pat_im" />
				<input name="source" type="hidden" value="webclient" />
				<input name="original_referer" type="hidden" value="http://pat.im/816" />
				<textarea id="text-box" name="text" onkeyup="check_msg_length();"><?php echo $tweetText;?></textarea>

				<div id="submit_button_wrap">
					<input id="submit_button" type="submit" value="보내기" />
				</div>
				<div id="count">
					<span id="char-count">0</span><span class="limit-length">/140</span>
				</div>
				<p id="notice"></p>
			</form>
		</div>

		<div id="foot">
			<div class="info">
				<span class="about"><a href="http://pat.im/tag/twitter_app" target="_blank">트위터에 글쓰기 v0.91.1</a></span>
			</div>
		</div>
		<script type="text/javascript">
<!--
function check_msg_length() {
	var msg_obj = document.getElementById("text-box");
	var count_obj = document.getElementById("char-count");
	var notice_obj = document.getElementById("notice");
	var nlength = msg_obj.value.length;

	if (nlength > 140) {
		count_obj.innerHTML = '<span class="warn">' + nlength + '</span>';
		notice_obj.innerHTML = "140자가 넘는 글은 보낼 수 없습니다!!";
		document.getElementById("submit_button").disabled = true;
	} else {
		count_obj.innerHTML = nlength;
		notice_obj.innerHTML = "&nbsp;";
		document.getElementById("submit_button").disabled = false;
	}
}
//-->
		</script>

	</body>
</html>